package ArchiveType::FieldBlock;

use strict;
use base qw( ArchiveType::CustomObject );

sub name {
    return 'FieldBlock';
}

sub archive_label {
    my $plugin = MT->component( 'FieldBlock' );
    return $plugin->translate( 'FieldBlock' );
}

sub default_archive_templates {
    return [
        {   label    => 'folder_path/fieldblock/fieldblock_basename.html',
            template => '%c/fieldblock/%f',
            default  => 1
        },
        {   label    => 'fieldblock/fieldblock_basename.html',
            template => 'fieldblock/%f',
        },
    ];
}

sub template_params {
    return {
        archive_class         => 'customobject-archive',
        customobject_class    => 'fieldblock',
        customobject_archive  => 1,
        archive_template      => 1,
    };
}

sub archive_group_iter {}
sub archive_group_entries {}
sub archive_entries_count { return 0; }

1;