package ArchiveType::FolderFieldBlock;

use strict;
use base qw( ArchiveType::FolderCustomObject );

sub name {
    return 'FolderFieldBlock';
}

sub default_archive_templates {
    return [
        {   label    => 'folder_path/fieldblock/index.html',
            template => '%c/fieldblock/%i',
            default  => 1
        },
    ];
}

sub archive_label {
    my $plugin = MT->component( 'FieldBlock' );
    return $plugin->translate( 'Folder-FieldBlock' );
}

sub template_params {
    return {
        archive_class         => 'folder-fieldblock-archive',
        customobject_class    => 'fieldblock',
        folder_customobject_archive => 1,
        archive_template      => 1,
    };
}

sub archive_group_iter {}
sub archive_group_entries {}
sub archive_entries_count { return 0; }

1;