package FieldBlock::FieldBlock;
use strict;

use base qw( CustomObject::CustomObject );

__PACKAGE__->install_properties( {
    class_type => 'fieldblock',
    child_of => 'MT::Blog',
} );

MT->add_callback( 'api_pre_save.' . 'fieldblock',
    1, undef, \&MT::Revisable::mt_presave_obj );
MT->add_callback( 'cms_pre_save.' . 'fieldblock',
    1, undef, \&MT::Revisable::mt_presave_obj );
MT->add_callback( 'api_post_save.' . 'fieldblock',
    9, undef, \&MT::Revisable::mt_postsave_obj );
MT->add_callback( 'cms_post_save.' . 'fieldblock',
    9, undef, \&MT::Revisable::mt_postsave_obj );

__PACKAGE__->add_callback( 'post_remove', 0, MT->component('core'),
    \&MT::Revisable::mt_postremove_obj );

sub plugin {
    return MT->component( 'FieldBlock' );
}

sub config_plugin {
    return MT->component( 'FieldBlock' );
}

sub class_label {
    my $plugin = MT->component( 'FieldBlock' );
    return $plugin->translate( 'FieldBlock' );
}

sub class_label_plural {
    my $plugin = MT->component( 'FieldBlock' );
    return $plugin->translate( 'FieldBlocks' );
}

sub class_plural {
    return 'FieldBlocks';
}

sub group_label {
    my $plugin = MT->component( 'FieldBlock' );
    return $plugin->translate( 'FieldBlock Group' );
}

sub group_label_plural {
    my $plugin = MT->component( 'FieldBlock' );
    return $plugin->translate( 'FieldBlock Groups' );
}

1;